<!-- <div class="container" *ngIf="details.customerName != undefined">
  <div class="wrapper">
    <h1> Customer Name:{{details.customerName}}</h1>
    <h1> Customer Address:{{details.customerAddress}}</h1>


    <ul class="sessions" *ngFor="let item of arry">
      <li>
        <div class="time">{{item.updatedDate}}</div>
        <p>{{item.stateName}} </p>
      </li>
    </ul>
  </div>
</div> -->
<div *ngIf="details != undefined">
  <div *ngFor="let itemData of details" >
    <div class="" *ngIf="itemData.customerName != undefined">
      <div class="wrapper">
        <h1><b>Customer Name:</b>{{itemData.customerName}}</h1>
        <h1><b>Customer Address:</b>{{itemData.customerAddress}}</h1>
        <h1><b>Customer Phone Number:</b> {{itemData.customerPhoneNumber}}</h1>
        <h1><b>Cod Amount:</b>{{itemData.codAmount}}</h1>
        <h1><b>Item State:</b>{{itemData.itemState}}</h1>
    
    
        <ul class="sessions" *ngFor="let item of itemData.itemHistoryTracking">
          <li>
            <div class="time">{{item.updatedDate}}</div>
            <p>{{item.stateName}} </p>
          </li>
        </ul>
      </div>
    </div>
  </div>
</div>
<div class="d-flex justify-content-center" *ngIf="details == undefined">
<img src="../../../assets/animated/icons8-sand-timer.gif"/>
</div>
<div  *ngIf="error != undefined"class="d-flex justify-content-center">
  <img src="../../../assets/animated/icons8-box-important.gif"/>
  <h1 class="align-self-center">Order Id or passcode you entered is wrong or there is no order for you</h1>
</div>